## golang-github-aws-aws-sdk-go 1.38.23

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.38.23-1) unstable; urgency=medium

  * New upstream version 1.38.23
  * debian/watch: Use api.github.com to scan for up to 100 recent versions
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 04:54:13 -0600

golang-github-aws-aws-sdk-go (1.37.11-1) unstable; urgency=medium

  * New upstream version 1.37.11

 -- Anthony Fok <foka@debian.org>  Mon, 09 Aug 2021 01:34:58 -0600
