=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
           Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
               golang-github-pkg-errors-dev (>= 0.9.1),
               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
         golang-github-pkg-errors-dev (>= 0.9.1),
         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
