## golang-github-aws-aws-sdk-go 1.40.8

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.40.8-1) unstable; urgency=medium

  * New upstream version 1.40.8
  * Bump versioned dependency on golang-golang-x-net-dev as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 26 Oct 2021 19:36:04 -0600
