## golang-github-aws-aws-sdk-go 1.41.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.41.14-1ubuntu1) jammy; urgency=medium

  * Allow SHA1 in unit tests only to fix FTBFS with Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 16 Mar 2022 16:45:51 -0500

golang-github-aws-aws-sdk-go (1.41.14-1) unstable; urgency=medium

  * New upstream version 1.41.14

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 05:34:14 -0600
