=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-aws-aws-sdk-go
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -12,7 +13,7 @@
                golang-any,
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
                golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
+               golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -25,7 +26,7 @@
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
+         golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.
