## golang-github-aws-aws-sdk-go 1.43.26

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.43.26-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 02:16:43 -0600

golang-github-aws-aws-sdk-go (1.43.26-1) unstable; urgency=medium

  * New upstream version 1.43.26 (Closes: #1008431)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Mar 2022 22:14:37 +0800

golang-github-aws-aws-sdk-go (1.43.5-1) unstable; urgency=medium

  * New upstream version 1.43.5
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Add "--builddirectory=_build" argument to dh

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:22:51 -0700
