=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.44.133-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: golang-golang-x-net-dev (>= 1:0.1.0)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Nov 2022 18:23:02 +0100
