## golang-github-aws-aws-sdk-go 1.45.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.45.14-1) unstable; urgency=medium

  * New upstream version 1.45.14

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 10:18:16 -0600

golang-github-aws-aws-sdk-go (1.44.314-1) unstable; urgency=medium

  * New upstream version 1.44.314
  * Bump Depends: golang-golang-x-net-dev (>= 1:0.1.0)
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 09:43:35 -0600
