=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-pkg-errors-dev (>= 0.9.1),
                golang-golang-x-net-dev (>= 1:0.1.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
 Homepage: https://github.com/aws/aws-sdk-go
@@ -25,7 +25,7 @@
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4),
+         golang-golang-x-net-dev (>= 1:0.1.0),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.
