## golang-github-aws-aws-sdk-go 1.48.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.48.14-1) unstable; urgency=medium

  * New upstream version 1.48.14
  * Update versioned dependencies as per go.mod.  In particular,
    golang-github-pkg-errors-dev is no longer needed since 2023-10-31

 -- Anthony Fok <foka@debian.org>  Fri, 08 Dec 2023 14:25:29 -0700
