## golang-github-aws-aws-sdk-go 1.49.0

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.49.0-2) unstable; urgency=medium

  * Team upload
  * Add new 0003-Fix-misaligned-struct-member-used-in-atomic-op.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Feb 2024 17:00:54 +0000

golang-github-aws-aws-sdk-go (1.49.0-1) unstable; urgency=medium

  * New upstream version 1.49.0

 -- Anthony Fok <foka@debian.org>  Mon, 26 Feb 2024 10:57:24 -0700
