=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.19~),
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
-               golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.1.0)
+               golang-golang-x-net-dev (>= 1:0.17.0)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
@@ -24,8 +23,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
-         golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.1.0),
+         golang-golang-x-net-dev (>= 1:0.17.0),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.
